#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	String
%define		pnam	Trigram
Summary:	String::Trigram - find similar strings by trigram method
Summary(pl.UTF-8):	String::Trigram - poszukiwanie podobnych łańcuchów metodą trygramów
Name:		perl-String-Trigram
Version:	0.12
Release:	1
Epoch:		1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/String/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	96cdc57a1a69de58b52cfb3f1fea89d1
URL:		http://search.cpan.org/dist/String-Trigram/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module computes the similarity of two strings based on the
trigram method. This consists in splitting some string into triples of
characters and comparing those to the trigrams of some other string.
For example the string kangaroo has the trigrams {kan ang nga gar aro
roo}. A wrongly typed kanagaroo has the trigrams {kan ana nag aga gar
aro roo}. To compute the similarity we (roughly) divide the number of
matching trigrams (tokens not types) by the number of all trigrams
(types not tokens). For our example this means dividing 4 / 9
resulting in 0.44.

%description -l pl.UTF-8
Ten moduł oblicza podobieństwo dwóch łańcuchów bazując na metodzie
trygramów. Składa się ona z dzielenia łańcucha na trójki znaków i
porównywanie tych trygramów z jakimś innym łańcuchem. Na przykład
łańcuch "kangaroo" zawiera trygramy {kan ang nga gar aro roo}. Źle
napisane "kanagaroo" zawiera trygramy {kan ana nag aga gar aro roo}.
Aby obliczyć podobieństwo, dzielimy (zgrubnie) liczbę pasujących
trygramów (tokenów, nie typów) przez liczbę wszystkich trygramów
(typów, nie tokenów). W naszym przykładzie oznacza to dzielenie 4 / 9,
co daje wartość 0.44.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/String/Trigram.pm
%{_mandir}/man3/String::Trigram.3pm*
%changelog
* Tue Nov 20 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-String-Trigram.git;a=log;h=master

* Tue Nov 20 2018 Adam Gołębiowski <adamg@pld-linux.org> c63dca3
- updated to 0.12

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> e2c090f
- rebuild with perl 5.28.0
- release 11 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> efd53a8
- perl req/prov fix
- release 10 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> c84519b
- rebuild with perl 5.26
- release 9 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 3dbcdb9
- rebuild with perl 5.24.0
- release 8 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> f11e874
- release 7 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> ab29aa5
- x32 rebuild
- release 6 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> ff6dfc5
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 2c07d7d
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> c25a2b0
- rebuild for perl 5.20
- release 4 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 59c2bed
- rebuild with perl 5.18.0
- release 3 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c6a9bf7
- release 2

* Thu Oct 15 2009 amateja <amateja@pld-linux.org> 4b140aa
- updated to 0.11

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 686c97d
- generic URL

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 6c48952
- rel 4

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> a6dc13e
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 3536ac7
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e99afcc
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> e6563bd
- formatting

* Sun Oct 24 2004 paladine <paladine@pld-linux.org> 223cf74
- spelling fixes, uppercases, etc.

